Bug 337656

Summary: Choosing a custom font for the message text does not work
Product: [Applications] kmail2 Reporter: Freek de Kruijf <freekdekruijf>
Component: UIAssignee: kdepim bugs <kdepim-bugs>
Status: CONFIRMED ---    
Severity: normal CC: bugs.kde.org, cordlandwehr, emaster987, kdenis, kollix, nurasima
Priority: NOR    
Version: 5.5.2   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Freek de Kruijf 2014-07-21 09:03:11 UTC
I set custom font for message text to Monospace, however the font used in the subwindow of KMail for the text of the message is displayed using a proportional font. When changing the size of the font and pressing Apply this does change the font size, however it does NOT change into a Monospace font.
Comment 1 Freek de Kruijf 2014-08-29 12:51:57 UTC
Only choosing Monospace does not work. When choosing a named font which is monospace it works. So this is still a bug.
Comment 2 Denis Kurz 2016-09-24 18:06:26 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kmail2 (version 5.0 or later, as part of KDE Applications 15.12 or later), it gets closed in about three months.
Comment 3 Freek de Kruijf 2016-09-25 16:21:33 UTC
Tried it with kmail5 16.08.1. I was unable to change the font and its size used in the message and message list panels. Changing this in the folder panel works as expected.
Comment 4 Denis Kurz 2017-01-20 20:01:25 UTC
There's some bug duplication going on here, but I'll have to figure that out later. Setting to confirmed for 5.4.1 for now.
Comment 5 Denis Kurz 2017-01-20 20:22:24 UTC
*** Bug 343676 has been marked as a duplicate of this bug. ***
Comment 6 Denis Kurz 2017-01-20 20:22:29 UTC
*** Bug 350855 has been marked as a duplicate of this bug. ***
Comment 7 Denis Kurz 2017-01-20 20:22:33 UTC
*** Bug 362467 has been marked as a duplicate of this bug. ***
Comment 8 Denis Kurz 2017-01-20 20:25:46 UTC
According to Bug 362467, this bug also affects printing font. No, wait, it doesn't. Wait... setting the printing font doesn't work either!

Bug 350855, Comment 2:

Confirmed for 5.4.1. I changed the font for "Message Body" to Hack, size 13. Preview as well as message viewer window were quite unimpressed. Just as reported, restart didn't help either. In contrast to Bug 350855, Comment 1, however, I didn't notice any changes in headers. The settings simply have no effect at all.

Other than "Message Body", all the other options in the "Apply to" field didn't change anything either, except for "Composer". The font for "Composer" is applied to some header fields in the composer (From, Subject), but not all (To). The message body in the composer is unaffected, too.

Bug 350855, Comment 3:

Sorry! I, too, missed a detail: I chose *bold* text for unread messages in the message list. The font and size are still not applied to messages in the message list, but unread messages are displayed bold.
Comment 9 m.eik michalke 2017-03-12 10:27:45 UTC
+1 for this report.

furthermore, when i do any changes in kmail's configureation dialog (but no change to font settings) and hit "apply"/"ok", the message fonts in the main window seem to be reset to the default immediately. directly after that, changing the font settings (which actually remained untouched) doen't have any visible effect. it's only after quitting and restarting kmail that the fonts reappear in their configured state.

this is kmail2 5.2.3 (applications 16.04.3, kf5 5.28)
Comment 10 Freek de Kruijf 2017-06-25 15:01:02 UTC
Still in 5.5.2.